---
title: ServiceWorkerGlobalScope.caches
slug: Web/API/ServiceWorkerGlobalScope/caches
tags:
  - API
  - Property
  - Reference
  - Service Workers
  - ServiceWorker
  - ServiceWorkerGlobalScope
---
<p>{{APIRef("Service Workers API")}}</p>

<p>The <strong><code>caches</code></strong> read-only property of the {{domxref("ServiceWorkerGlobalScope")}} interface returns the {{domxref("CacheStorage")}} object associated with the service worker.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myCacheStorage</em> = self.caches;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("CacheStorage")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#global-caches', 'ServiceWorkerGlobalScope.caches')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ServiceWorkerGlobalScope.caches")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Workers_API/Using_web_workers">Using web workers</a></li>
</ul>
